<?php
namespace Token\Src;

use Dever;

class Api
{
	private function getSecret()
	{
		if (!$appid = Dever::input('appid')) {
            Dever::alert('appid不能为空');
        }
        $this->project = Dever::db('token/project')->find(array('appid' => $appid));
        if ($this->project) {
        	return $this->project['secret'];
        }
	}
	# 兼容测试环境 设置token
    public function token_secure_api_token(){return $this->getSecret();}
    # 兼容测试环境 获取最新token
    public function token_secure_api()
    {
    	$result = array();
    	$token = Dever::db('token/token')->find(array('project_id' => $this->project['id']));
    	if ($token) {
    		$result['token'] = $token['value'];
    		$result['expires_in'] = $token['expires'];
    	}
    	
        return $result;
    }
}