<?php
/**
 * tester
 */


return array
(
	# 表名
	'name' => 'log',
	# 显示给用户看的名称
	'lang' => '请求日志',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '请求名称',
			'default' 	=> '',
			'desc' 		=> '请求名称',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
		),

		'url'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '请求地址',
			'default' 	=> '',
			'desc' 		=> '请求地址',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',

		),

		'param'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '请求信息',
			'default' 	=> '',
			'desc' 		=> '请求信息',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',
		),

		'result'		=> array
		(
			'type' 		=> 'longtext',
			'name' 		=> '微信返回信息',
			'default' 	=> '',
			'desc' 		=> '微信返回信息',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'list'		=> true,
			'modal'		=> '查看详情',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		'delete' => false,
		'insert' => false,
		'edit' => false,
	),
);
