<?php
/**
 * token
 */

return array
(
	# 表名
	'name' => 'token',
	# 显示给用户看的名称
	'lang' => 'token数据表',
	'menu' => false,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'list'		=> true,
		),

		'project_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '项目',
			'default' 	=> '',
			'desc' 		=> '请输入项目',
			'match' 	=> 'is_numeric',
			//'search'	=> 'order,fulltext',
			'update'	=> 'text',
			'list'		=> '{project_id} > 0 ? Dever::load("token/project-one#name", {project_id}) : "未知"',
		),
		
		'value'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> 'token标识',
			'default' 	=> '',
			'desc' 		=> 'token标识',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
			'modal'		=> '查看',
		),
		
		'expires'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '过期时间',
			'default' 	=> '',
			'desc' 		=> '过期时间',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'mdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '更新时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			'list'		=> 'date("Y-m-d H:i:s", {mdate})',
		),
		
		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	//'top' => 'main/project_id',

	'manage' => array
	(
		'delete' => false,
		'insert' => false,
		//'edit' => false,
	),
);
